/*
 *  File:   linux/include/asm-arm/arch-ep93xx/regs_hardcode.h
 *
 *  Handle 'Must-be-zero' and 'Must-be-one' values for various
 *  registers on different flavours of the EP93xx family.
 *
 *  Copyright (C) 2004 Ray Lehtiniemi
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __ASM_ARCH_HARDCODE_H
#define __ASM_ARCH_HARDCODE_H

#if defined(CONFIG_ARCH_EP9301)
#define ep93xx_SYSCON_DEVCFG(v)        (((v) & ~0x0460c220) | 0x08000d00)
#define ep93xx_VIC0INTSELECT(v)        (((v) & ~0xf8080000) | 0x00000000)
#define ep93xx_VIC1INTSELECT(v)        (((v) & ~0x06879a04) | 0x00000000)
#define ep93xx_VIC0INTENABLE(v)        (((v) & ~0xf8080000) | 0x00000000)
#define ep93xx_VIC1INTENABLE(v)        (((v) & ~0x06879a04) | 0x00000000)
#define ep93xx_VIC0INTENCLEAR(v)       (((v) & ~0xf8080000) | 0x00000000)
#define ep93xx_VIC1INTENCLEAR(v)       (((v) & ~0x06879a04) | 0x00000000)
#define ep93xx_MAC_RXBUFTHRSHLD(v)     (((v) & ~0x00030003) | 0x00000000)
#define ep93xx_MAC_TXBUFTHRSHLD(v)     (((v) & ~0x00030003) | 0x00000000)
#define ep93xx_MAC_RXSTSTHRSHLD(v)     (((v) & ~0x00030003) | 0x00000000)
#define ep93xx_MAC_TXSTSTHRSHLD(v)     (((v) & ~0x00030003) | 0x00000000)
#define ep93xx_MAC_RXDTHRSHLD(v)       (((v) & ~0x00030003) | 0x00000000)
#define ep93xx_MAC_TXDTHRSHLD(v)       (((v) & ~0x00030003) | 0x00000000)
#define ep93xx_UART1MCR(v)             (((v) & ~0x000000e0) | 0x00000000)
#define ep93xx_UART2TMR(v)             (((v) & ~0x000000fd) | 0x00000000)
#define ep93xx_IrCtrl(v)               (((v) & ~0x00000001) | 0x00000000)
#define ep93xx_RTCSCOMP(v)             (((v) & ~0x00200000) | 0x00000000)

// cut'n'paste from 9301, verify this section...
#elif defined(CONFIG_ARCH_EP9302)
#define ep93xx_SYSCON_DEVCFG(v)        (((v) & ~0x0460c220) | 0x08000d00)
#define ep93xx_VIC0INTSELECT(v)        (((v) & ~0xf8080000) | 0x00000000)
#define ep93xx_VIC1INTSELECT(v)        (((v) & ~0x06879a04) | 0x00000000)
#define ep93xx_VIC0INTENABLE(v)        (((v) & ~0xf8080000) | 0x00000000)
#define ep93xx_VIC1INTENABLE(v)        (((v) & ~0x06879a04) | 0x00000000)
#define ep93xx_VIC0INTENCLEAR(v)       (((v) & ~0xf8080000) | 0x00000000)
#define ep93xx_VIC1INTENCLEAR(v)       (((v) & ~0x06879a04) | 0x00000000)
#define ep93xx_MAC_RXBUFTHRSHLD(v)     (((v) & ~0x00030003) | 0x00000000)
#define ep93xx_MAC_TXBUFTHRSHLD(v)     (((v) & ~0x00030003) | 0x00000000)
#define ep93xx_MAC_RXSTSTHRSHLD(v)     (((v) & ~0x00030003) | 0x00000000)
#define ep93xx_MAC_TXSTSTHRSHLD(v)     (((v) & ~0x00030003) | 0x00000000)
#define ep93xx_MAC_RXDTHRSHLD(v)       (((v) & ~0x00030003) | 0x00000000)
#define ep93xx_MAC_TXDTHRSHLD(v)       (((v) & ~0x00030003) | 0x00000000)
#define ep93xx_UART1MCR(v)             (((v) & ~0x000000e0) | 0x00000000)
#define ep93xx_UART2TMR(v)             (((v) & ~0x000000fd) | 0x00000000)
#define ep93xx_IrCtrl(v)               (((v) & ~0x00000001) | 0x00000000)
#define ep93xx_RTCSCOMP(v)             (((v) & ~0x00200000) | 0x00000000)

#elif defined(CONFIG_ARCH_EP9312)
#define ep93xx_SYSCON_DEVCFG(v)        (((v) & ~0x00000020) | 0x00000000)
#define ep93xx_VIC0INTSELECT(v)        (((v) & ~0x00000000) | 0x00000000)
#define ep93xx_VIC1INTSELECT(v)        (((v) & ~0x00000000) | 0x00000000)
#define ep93xx_VIC0INTENABLE(v)        (((v) & ~0x00000000) | 0x00000000)
#define ep93xx_VIC1INTENABLE(v)        (((v) & ~0x00000000) | 0x00000000)
#define ep93xx_VIC0INTENCLEAR(v)       (((v) & ~0x00000000) | 0x00000000)
#define ep93xx_VIC1INTENCLEAR(v)       (((v) & ~0x00000000) | 0x00000000)
#define ep93xx_PIXELMODE(v)            (((v) & ~0x00010000) | 0x00000000)
#define ep93xx_MAC_RXBUFTHRSHLD(v)     (((v) & ~0x00030003) | 0x00000000)
#define ep93xx_MAC_TXBUFTHRSHLD(v)     (((v) & ~0x00030003) | 0x00000000)
#define ep93xx_MAC_RXSTSTHRSHLD(v)     (((v) & ~0x00030003) | 0x00000000)
#define ep93xx_MAC_TXSTSTHRSHLD(v)     (((v) & ~0x00030003) | 0x00000000)
#define ep93xx_MAC_RXDTHRSHLD(v)       (((v) & ~0x00030003) | 0x00000000)
#define ep93xx_MAC_TXDTHRSHLD(v)       (((v) & ~0x00030003) | 0x00000000)
#define ep93xx_UART1MCR(v)             (((v) & ~0x000000e0) | 0x00000000)
#define ep93xx_UART2TMR(v)             (((v) & ~0x000000fd) | 0x00000000)
#define ep93xx_UART3MCR(v)             (((v) & ~0x000000e0) | 0x00000000)
#define ep93xx_IrCtrl(v)               (((v) & ~0x00000001) | 0x00000000)
#define ep93xx_RTCSCOMP(v)             (((v) & ~0x00200000) | 0x00000000)


#elif defined(CONFIG_ARCH_EP9315)
#define ep93xx_SYSCON_DEVCFG(v)        (((v) & ~0x00000020) | 0x00000000)
#define ep93xx_VIC0INTSELECT(v)        (((v) & ~0x00000000) | 0x00000000)
#define ep93xx_VIC1INTSELECT(v)        (((v) & ~0x00000000) | 0x00000000)
#define ep93xx_VIC0INTENABLE(v)        (((v) & ~0x00000000) | 0x00000000)
#define ep93xx_VIC1INTENABLE(v)        (((v) & ~0x00000000) | 0x00000000)
#define ep93xx_VIC0INTENCLEAR(v)       (((v) & ~0x00000000) | 0x00000000)
#define ep93xx_VIC1INTENCLEAR(v)       (((v) & ~0x00000000) | 0x00000000)
#define ep93xx_PIXELMODE(v)            (((v) & ~0x00010000) | 0x00000000)
#define ep93xx_MAC_RXBUFTHRSHLD(v)     (((v) & ~0x00030003) | 0x00000000)
#define ep93xx_MAC_TXBUFTHRSHLD(v)     (((v) & ~0x00030003) | 0x00000000)
#define ep93xx_MAC_RXSTSTHRSHLD(v)     (((v) & ~0x00030003) | 0x00000000)
#define ep93xx_MAC_TXSTSTHRSHLD(v)     (((v) & ~0x00030003) | 0x00000000)
#define ep93xx_MAC_RXDTHRSHLD(v)       (((v) & ~0x00030003) | 0x00000000)
#define ep93xx_MAC_TXDTHRSHLD(v)       (((v) & ~0x00030003) | 0x00000000)
#define ep93xx_UART1MCR(v)             (((v) & ~0x000000e0) | 0x00000000)
#define ep93xx_UART2TMR(v)             (((v) & ~0x000000fd) | 0x00000000)
#define ep93xx_UART3MCR(v)             (((v) & ~0x000000e0) | 0x00000000)
#define ep93xx_IrCtrl(v)               (((v) & ~0x00000001) | 0x00000000)
#define ep93xx_RTCSCOMP(v)             (((v) & ~0x00200000) | 0x00000000)


#endif




#endif /* __ASM_ARCH_HARDWARE_H */
