/*
 *  linux/include/asm-arm/arch-ep93xx/system.h
 *
 *  Copyright (C) 1999 ARM Limited
 *  Copyright (C) 2000 Deep Blue Solutions Ltd
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#ifndef __ASM_ARCH_SYSTEM_H
#define __ASM_ARCH_SYSTEM_H

#include <asm/arch/platform.h>
#include <asm/hardware.h>
#include <asm/io.h>

static void arch_idle(void)
{
	unsigned long val = readl(IO_ADDRESS(SYSCON_DEVCFG));
	val = ep93xx_SYSCON_DEVCFG(val|SYSCON_DEVCFG_SHena);
	SysconSetLocked(SYSCON_DEVCFG, val);
	readl(IO_ADDRESS(SYSCON_HALT));
}

#if defined(CONFIG_MACH_TTML)

#include <asm/arch/mach-ttml.h>
extern __inline__ void arch_reset(char mode)
{
	// reboot using micro
        unsigned char msg[4] = { 0xaa, 0x90, 0xa0, 0x65 };
        unsigned char reply[10];
        (void) ssp_do_ttml(&ep93xx_ssp_micro,msg,4,reply,10);
	while (1);
}

#else

extern __inline__ void arch_reset(char mode)
{
#if 1
	// reboot using SW_RESET bit in devcfg register
	unsigned long val = readl(IO_ADDRESS(SYSCON_DEVCFG));
	SysconSetLocked(SYSCON_DEVCFG, ep93xx_SYSCON_DEVCFG(val |  SYSCON_DEVCFG_SWRST));
	SysconSetLocked(SYSCON_DEVCFG, ep93xx_SYSCON_DEVCFG(val & ~SYSCON_DEVCFG_SWRST));

#else
	// reboot using 0.250 second onboard watchdog timeout
  	writel(0xaaaa, IO_ADDRESS(WATCHDOG));
	while (1);
#endif
}
#endif

#endif
