/*
 * include/linux/ttml.h
 *
 * TTML TripDawg system devices.
 *
 * Copyright 2004, Ray Lehtiniemi
 * Copyright 2004, Siconix, Inc
 */

#ifndef __TTML_H
#define __TTML_H

#define TTML_MAJOR         MISC_MAJOR

#define TTML_MINOR_LED     240
#define TTML_MINOR_BUZZER  241
#define TTML_MINOR_SPEEDO  242
#define TTML_MINOR_GPIO    243
#define TTML_MINOR_BUTTON  244
#define TTML_MINOR_WD      245

#define MAX_TTML_MINORS 6

struct ttml_ioctl_led {
	int blue;
	int red;
	int yellow;
};

struct ttml_ioctl_buzzer {
	int buzzer1;
};

struct ttml_ioctl_speedo {
	int instant;
	int average;
};

struct ttml_ioctl_gpio {
	int pto;
	int ignition;
	int spare;
};

struct ttml_ioctl_button {
	int button1;
	int portf;
};

#define TTML_IOCTL 't'

#define TTML_GET_LED      _IOR(TTML_IOCTL, 0, struct ttml_ioctl_led)
#define TTML_GET_BUZZER   _IOR(TTML_IOCTL, 1, struct ttml_ioctl_buzzer)
#define TTML_GET_SPEEDO   _IOR(TTML_IOCTL, 2, struct ttml_ioctl_speedo)
#define TTML_GET_GPIO     _IOR(TTML_IOCTL, 3, struct ttml_ioctl_gpio)
#define TTML_GET_BUTTON   _IOR(TTML_IOCTL, 4, struct ttml_ioctl_button)

#define TTML_SET_LED      _IOW(TTML_IOCTL, 16, struct ttml_ioctl_led)
#define TTML_SET_BUZZER   _IOW(TTML_IOCTL, 17, struct ttml_ioctl_buzzer)

#endif
